<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://www.biuro.lt
 * @since      1.0.0
 *
 * @package    Biuro_Contacts
 * @subpackage Biuro_Contacts/public/partials
 */

/**
 * @link https://codex.wordpress.org/Creating_Options_Pages
 * @link https://www.smashingmagazine.com/2016/04/three-approaches-to-adding-configurable-fields-to-your-plugin/
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) die;
?>

<?php
    $nameValue = $_SESSION['employees-quick--name-value'];
    $nameStatus = $_SESSION['employees-quick--name-status'];
    $nameMessage = $_SESSION['employees-quick--name-message'];
?>
    <div class="c-form--row">
        <label class="c-form--label" for="form-name">Name, Surname*</label>
        <div class="c-form--input-wrap <?php if ($nameStatus) { echo "c-form--input-wrap--$nameStatus"; } ?>">
                <input type="text" class="c-form--input" id="form-name" name="name" value="<?php echo $nameValue; ?>" <?php if ($nameStatus): ?> autofocus="autofocus" <?php endif; ?>>
        </div>
        <?php if ($nameMessage): ?>
            <div class="c-form--validation c-form--validation-<?php echo $nameStatus; ?>">
                <?php echo $nameMessage; ?>
            </div>
        <?php endif; ?>
    </div><!-- .c-form--row -->

<?php
    $phoneValue = $_SESSION['employees-quick--phone-value'];
    $phoneStatus = $_SESSION['employees-quick--phone-status'];
    $phoneMessage = $_SESSION['employees-quick--phone-message'];
?>
    <div class="c-form--row">
        <label class="c-form--label" for="form-phone">Phone no.*</label>
        <div class="c-form--input-wrap <?php if ($phoneStatus) { echo "c-form--input-wrap--$phoneStatus"; } ?>">
                <input type="tel" class="c-form--input" id="form-phone" name="phone" value="<?php echo $phoneValue; ?>">
        </div>
        <?php if ($phoneMessage): ?>
            <div class="c-form--validation c-form--validation-<?php echo $phoneStatus; ?>">
                <?php echo $phoneMessage; ?>
            </div>
        <?php endif; ?>
    </div><!-- .c-form--row -->

<?php
    $emailValue = $_SESSION['employees-quick--email-value'];
    $emailStatus = $_SESSION['employees-quick--email-status'];
    $emailMessage = $_SESSION['employees-quick--email-message'];
?>
    <div class="c-form--row">
        <label class="c-form--label" for="form-email">Email address*</label>
        <div class="c-form--input-wrap <?php if ($emailStatus) { echo "c-form--input-wrap--$emailStatus"; } ?>">
                <input type="email" class="c-form--input" id="form-email" name="email" value="<?php echo $emailValue; ?>">
        </div>
        <?php if ($emailMessage): ?>
            <div class="c-form--validation c-form--validation-<?php echo $emailStatus; ?>">
                <?php echo $emailMessage; ?>
            </div>
        <?php endif; ?>
    </div><!-- .c-form--row -->

    <div class="c-form--row">
        <div class="c-form--submit-wrap">
            <button type="submit" class="o-btn c-btn--main c-btn--fill" name="submit" value="1">Submit</button>
        </div>
    </div><!-- .c-form--row -->


<?php
    $agreeValue = $_SESSION['employees-quick--agree-value'];
    $agreeStatus = $_SESSION['employees-quick--agree-status'];
    $agreeMessage = $_SESSION['employees-quick--agree-message'];
?>
    <div class="c-form--row">
        <div class="c-form--checkbox-wrap">
            <input id="form-agree" type="checkbox" class="c-form--checkbox <?php if ($agreeStatus) { echo "c-form--checkbox--$agreeStatus"; } ?>" name="agree" value="1" <?php if ($agreeValue): ?> checked="checked"<?php endif; ?>>
            <label class="c-form--label-checkbox" for="form-agree">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Rem possimus, delectus unde enim dolores doloribus, recusandae a veritatis ducimus repudiandae iste eos voluptatum architecto mollitia?</label>
        </div>
        <?php if ($agreeMessage): ?>
            <div class="c-form--validation c-form--validation-<?php echo $agreeStatus; ?>">
                <?php echo $agreeMessage; ?>
            </div>
        <?php endif; ?>
    </div><!-- .c-form--row -->
