<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://www.biuro.lt
 * @since      1.0.0
 *
 * @package    Biuro_Contacts
 * @subpackage Biuro_Contacts/public/partials
 */

/**
 * @link https://codex.wordpress.org/Creating_Options_Pages
 * @link https://www.smashingmagazine.com/2016/04/three-approaches-to-adding-configurable-fields-to-your-plugin/
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) die;
// Generate a custom nonce value.
$_nonce = wp_create_nonce( 'my_post_form_nonce' );
?>

<form id="ContactFormEmployee_ContactFormEmployee" action="<?php echo $_SERVER["REQUEST_URI"]; ?>" method="post" enctype="multipart/form-data" class="contact-form">

    <ul class="form">
        <li>
            <label for="ContactFormEmployee_ContactFormEmployee_Name">Name (mandatory field):</label>
            <input type="text" class="text holder-required <?php if ($response) { echo 'error'; } ?>" id="ContactFormEmployee_ContactFormEmployee_Name" name="Name" value="">
<?php if ($response) : ?>
            <div id="errorname" class="errormessage">"Name (mandatory field):" is required.</div>
<?php endif; ?>
        </li>
        <li>
            <label for="ContactFormEmployee_ContactFormEmployee_Email">E-mail (mandatory field):</label>
            <input type="text" class="text holder-required <?php if ($response) { echo 'error'; } ?>" id="ContactFormEmployee_ContactFormEmployee_Email" name="Email" value="">
<?php if ($response) : ?>
            <div id="erroremail" class="errormessage">"E-mail (mandatory field):" is required.</div>
<?php endif; ?>
        </li>
        <li>
            <label for="ContactFormEmployee_ContactFormEmployee_Phone">Telephone number:</label>
            <input type="text" class="text" id="ContactFormEmployee_ContactFormEmployee_Phone" name="Phone" value="">
        </li>
        <li>
            <label for="ContactFormEmployee_ContactFormEmployee_Phone">City:</label>
            <select id="ContactFormEmployee_ContactFormEmployee_City" name="City"><option selected="selected" value="">Choose the nearest city</option><option value="31">Vilnius</option><option value="32">Kaunas</option><option value="33">Klaipėda</option><option value="34">Šilutė</option><option value="35">Utena</option><option value="36">Panevėžys</option><option value="37">Šiauliai</option><option value="38">Plungė</option><option value="41">Marijampolė</option><option value="44">Ukmergė</option></select>
        </li>
        <li>
            <label for="ContactFormEmployee_ContactFormEmployee_Comments">Your question (mandatory field):</label>
            <textarea id="ContactFormEmployee_ContactFormEmployee_Comments" class="holder-required <?php if ($response) { echo 'error'; } ?>" name="Comments" rows="5" cols="20"></textarea>
<?php if ($response) : ?>
            <div id="errorcomments" class="errormessage">"Your question (mandatory field):" is required.</div>
<?php endif; ?>
        </li>
        <li>
            <label for="ContactFormEmployee_ContactFormEmployee_Cvfield">Curriculum vitae:</label>
            <input type="file" name="Cvfield" id="ContactFormEmployee_ContactFormEmployee_Cvfield"><input type="hidden" name="MAX_FILE_SIZE" value="">
        </li>

        <li class="last">
            <input class="action " id="ContactFormEmployee_ContactFormEmployee_action_SendContactForm" type="submit" name="action-submit" value="Send" title="Send" onclick="ga('send', 'event', 'ContactFormEmployee', 'Button', 'SendContactFormEmployee');">
        </li>

    </ul>

</form>
