<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://www.biuro.lt
 * @since      1.0.0
 *
 * @package    Biuro_Contacts
 * @subpackage Biuro_Contacts/public/partials
 */

/**
 * @link https://codex.wordpress.org/Creating_Options_Pages
 * @link https://www.smashingmagazine.com/2016/04/three-approaches-to-adding-configurable-fields-to-your-plugin/
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) die;
// Generate a custom nonce value.
$_nonce = wp_create_nonce( 'my_post_form_nonce' );
?>

<form action="<?php echo esc_url( admin_url('admin-post.php') ); ?>" method="post" enctype="multipart/form-data" class="c-form">

    <div class="c-form--row">
        <label class="c-form--label" for="form-name">Name, Surname*</label>
        <div class="c-form--input-wrap">
                <input type="text" class="c-form--input <?php if ($response) { echo 'c-form--input--error'; } ?>" id="form-name" name="name" value="">
        </div>
        <?php if ($response): ?>
            <div class="c-form--validation-error">
                Name and Surname is required
            </div>
        <?php endif; ?>
    </div><!-- .c-form--row -->

    <div class="c-form--row">
        <label class="c-form--label" for="form-phone">Phone no.*</label>
        <div class="c-form--input-wrap">
                <input type="tel" class="c-form--input <?php if ($response) { echo 'c-form--input--error'; } ?>" id="form-phone" name="phone" value="">
        </div>
        <?php if ($response): ?>
            <div class="c-form--validation-error">
                Phone number is required
            </div>
        <?php endif; ?>
    </div><!-- .c-form--row -->

    <div class="c-form--row">
        <label class="c-form--label" for="form-email">Email address*</label>
        <div class="c-form--input-wrap">
                <input type="email" class="c-form--input <?php if ($response) { echo 'c-form--input--error'; } ?>" id="form-email" name="email" value="">
        </div>
        <?php if ($response): ?>
            <div class="c-form--validation-error">
                Email address is required
            </div>
        <?php endif; ?>
    </div><!-- .c-form--row -->

    <div class="c-form--row">
        <div class="c-form--submit-wrap">
            <button type="submit" class="c-form--submit" name="submit" value="1">Submit</button>
        </div>
    </div><!-- .c-form--row -->

    <div class="c-form--row">
        <div class="c-form--checkbox-wrap">
            <input id="form-agree" type="checkbox" class="c-form--checkbox <?php if ($response) { echo 'c-form--checkbox--error'; } ?>" name="agree" value="1">
            <label class="c-form--label-checkbox" for="form-agree">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Rem possimus, delectus unde enim dolores doloribus, recusandae a veritatis ducimus repudiandae iste eos voluptatum architecto mollitia?</label>
        </div>
        <?php if ($response): ?>
            <div class="c-form--validation-error">
                You have to agree with conditions
            </div>
        <?php endif; ?>
    </div><!-- .c-form--row -->

    <input type="hidden" name="action" value="employers_quick">
    <?php wp_nonce_field('employers_quick_nonce', 'employers_quick_nonce'); ?>
</form>
