<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://www.biuro.lt
 * @since      1.0.0
 *
 * @package    Biuro_Contacts
 * @subpackage Biuro_Contacts/public/partials
 */

/**
 * @link https://codex.wordpress.org/Creating_Options_Pages
 * @link https://www.smashingmagazine.com/2016/04/three-approaches-to-adding-configurable-fields-to-your-plugin/
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) die;
// Generate a custom nonce value.
$_nonce = wp_create_nonce( 'my_post_form_nonce' );
?>

<form id="ContactForm_ContactForm" action="<?php echo $_SERVER["REQUEST_URI"]; ?>" method="post" enctype="application/x-www-form-urlencoded" class="contact-form">

    <p id="ContactForm_ContactForm_error" class="message " style="display: none"></p>


    <ul class="form">
        <li>
            <label for="ContactForm_ContactForm_Company">Company (mandatory field):</label>
            <input type="text" class="text holder-required <?php if ($response) { echo 'error'; } ?>" id="ContactForm_ContactForm_Company" name="Company" value="">
<?php if ($response) : ?>
            <div id="errorcompany" class="errormessage">"Company (mandatory field):" is required.</div>
<?php endif; ?>
        </li>
        <li>
            <label for="ContactForm_ContactForm_Name">Name (mandatory field):</label>
            <input type="text" class="text holder-required <?php if ($response) { echo 'error'; } ?>" id="ContactForm_ContactForm_Name" name="Name" value="">
<?php if ($response) : ?>
            <div id="errorname" class="errormessage">"Name (mandatory field):" is required.</div>
<?php endif; ?>
        </li>
        <li>
            <label for="ContactForm_ContactForm_Email">E-mail (mandatory field):</label>
            <input type="text" class="text holder-required <?php if ($response) { echo 'error'; } ?>" id="ContactForm_ContactForm_Email" name="Email" value="">
<?php if ($response) : ?>
            <div id="erroremail" class="errormessage">"E-mail (mandatory field):" is required.</div>
<?php endif; ?>
        </li>
        <li>
            <label for="ContactForm_ContactForm_Phone">Telephone number:</label>
            <input type="text" class="text" id="ContactForm_ContactForm_Phone" name="Phone" value="">
        </li>
        <li>
            <label for="ContactForm_ContactForm_Comments">Your question (mandatory field):</label>
            <textarea id="ContactForm_ContactForm_Comments" class="holder-required <?php if ($response) { echo 'error'; } ?>" name="Comments" rows="5" cols="20"></textarea>
<?php if ($response) : ?>
            <div id="errorcomments" class="errormessage">"Your question (mandatory field):" is required.</div>
<?php endif; ?>
        </li>
        <li class="last">
            <input class="action " id="ContactForm_ContactForm_action_SendContactForm" type="submit" name="action-submit" value="Send" title="Send" onclick="ga('send', 'event', 'ContactForm', 'Button', 'SendContactForm');">
        </li>

    </ul>

</form>
