<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://www.biuro.lt
 * @since      1.0.0
 *
 * @package    Biuro_Contacts
 * @subpackage Biuro_Contacts/public/partials
 */

/**
 * @link https://codex.wordpress.org/Creating_Options_Pages
 * @link https://www.smashingmagazine.com/2016/04/three-approaches-to-adding-configurable-fields-to-your-plugin/
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) die;
// Generate a custom nonce value.
$_nonce = wp_create_nonce( 'my_post_form_nonce' );
?>

<form id="CVForm_CVForm" action="<?php echo $_SERVER["REQUEST_URI"]; ?>" method="post" enctype="multipart/form-data" class="contact-form">
    <ul class="form">
        <li>
            <label for="CVForm_CVForm_Name">Name, Surname (mandatory field):</label>
            <input type="text" class="text holder-required <?php if ($response) { echo 'error'; } ?>" id="CVForm_CVForm_Name" name="Name" value="">
<?php if ($response) : ?>
                <div id="errorname" class="errormessage">"Name, Surname (mandatory field):" is required.</div>
<?php endif; ?>
        </li>
        <li>
            <label for="CVForm_CVForm_Email">E-mail (mandatory field): </label>
            <input type="text" class="text holder-required <?php if ($response) { echo 'error'; } ?>" id="CVForm_CVForm_Email" name="Email" value="">
<?php if ($response) : ?>
            <div id="erroremail" class="errormessage">"E-mail (mandatory field): " is required.</div>
<?php endif; ?>
        </li>
        <li>
            <label for="CVForm_CVForm_Phone">Telephone number:</label>
            <input type="text" class="text" id="CVForm_CVForm_Phone" name="Phone" value="">
        </li>
        <li>
            <label for="CVForm_CVForm_Cvfield">Curriculum vitae:</label>
            <input type="file" name="Cvfield" id="CVForm_CVForm_Cvfield"><input type="hidden" name="MAX_FILE_SIZE" value="">
        </li>
        <li>
            <label for="CVForm_CVForm_Additional">Other:</label>
            <textarea id="CVForm_CVForm_Additional" name="Additional" rows="5" cols="20"></textarea>
        </li>
        <li class="last">
            <input class="action " id="CVForm_CVForm_action_SendCVForm" type="submit" name="action-submit" value="Send" title="Send" onclick="ga('send', 'event', 'CVForm', 'Button', 'SendCVForm');">
        </li>
    </ul>
    <input class="hidden" type="hidden" id="CVForm_CVForm_offerid" name="offerid" value="14675">

</form>
