<?php
/*
Plugin Name: Biuro Values
Description: Biuro Values plugin
Author: Biuro
Version: 1.0
Author URI: https://www.biuro.lt/
*/


class Biuro_Values extends WP_Widget {
    // Main constructor
    public function __construct() {
        parent::__construct(
            'biuro-values',
            __( 'Biuro Values | Biuro', 'biuro' ),
            array(
                'customize_selective_refresh' => true,
            )
        );
    }

    // The widget form (for the backend )
    public function form( $instance ) {
        // Set widget defaults
        $defaults = array(
            'value1'    => '',
            'content1' => '',
            'value2'    => '',
            'content2' => '',
            'value3'    => '',
            'content3' => '',
            'value4'    => '',
            'content4' => '',
            'value5'    => '',
            'content5' => '',
            'value6'    => '',
            'content6' => '',
            'value7'    => '',
            'content7' => '',
            'value8'    => '',
            'content8' => '',
        );


        // Parse current settings with defaults
        extract( wp_parse_args( ( array ) $instance, $defaults ) ); ?>

<?php
        for ($i = 1; $i <= 8; $i++):
?>
        <p>
            <label for="<?php echo esc_attr( $this->get_field_id( 'value' . $i ) ); ?>"><?php _e( 'Value', 'biuro' ); ?><?php echo ' ' . $i . ':';  ?></label>
            <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'value' . $i ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'value' . $i ) ); ?>" type="text" value="<?php echo esc_attr( ${'value' . $i} ); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr( $this->get_field_id( 'content' . $i ) ); ?>"><?php _e( 'Content', 'biuro' ); ?><?php echo ' ' . $i . ':';  ?></label>
            <textarea class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'content' . $i ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'content' . $i ) ); ?>" rows="4"><?php echo wp_kses_post( ${'content' . $i} ); ?></textarea>
        </p>
<?php
        endfor;
 ?>

    <?php }

    // Update widget settings
    public function update( $new_instance, $old_instance ) {
        $instance = $old_instance;

        for ($i = 1; $i <= 8; $i++):
            $instance['value' . $i]    = isset( $new_instance['value' . $i] ) ? wp_strip_all_tags( $new_instance['value' . $i] ) : '';
            $instance['content' . $i] = isset( $new_instance['content' . $i] ) ? wp_kses_post( $new_instance['content' . $i] ) : '';
        endfor;

        return $instance;
    }

    // Display the widget
    public function widget( $args, $instance ) {
        extract( $args );

        for ($i = 1; $i <= 8; $i++):
            ${'value' . $i} = isset( $instance['value' . $i] ) ?$instance['value' . $i] : '';
            ${'content' . $i} = isset( $instance['content' . $i] ) ?$instance['content' . $i] : '';
        endfor;

        echo $before_widget;

        echo '<div class="c-values">';
        echo '<div class="c-values--inner">';

        for ($i = 1; $i <= 8; $i++):
            if ( ${'value' . $i} != "" && ${'content' . $i} != ""):
                echo '<div class="c-values--section">';

                if ( ${'value' . $i} != "" ) {
                    echo '<h3 class="c-values--heading">' . ${'value' . $i}  . '</h3>';
                }

                if ( ${'content' . $i} != "" ) {
                    echo '<div class="c-values--content">' . ${'content' . $i} . '</div>';
                }

                echo '</div>';
            endif;
        endfor;

        echo '</div>';
        echo '</div>';


        // WordPress core after_widget hook (always include )
        echo $after_widget;
    }
}


// register Biuro_Values
add_action( 'widgets_init', function(){
    register_widget( 'Biuro_Values' );
});

