<?php
/**
 * Template Name: Divisions page
 *
 * This is the page for a divisions listing with google map
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Biuro
 * @since 1.0
 * @version 1.0
 */

global $post;

$pageID = $post->ID;

$related = pods( 'division', $params )->find( array(
    'limit' => -1,
    'where'=>"page-id.ID = " . $pageID
) );

$total = $related->total();

get_header(); ?>

<?php
    while ( have_posts() ) :

        the_post();
        the_content();

    endwhile;
?>

<div style="display: flex; flex-wrap: wrap;">
<?php
    while ( $related->fetch() ) :
        echo '<div style="flex: 1 1 45%">' . $related->display( 'content' ) . '</div>';
    endwhile;
?>
</div>

<?
    $divisions = pods( 'division', array(
        'limit'   => -1
    ) );

    if ( 0 < $divisions->total() ):
        $cities = array();
?>
        <ul class="o-nav c-divisions--list">
<?php
            if ( 1 < $divisions->total() ):

                $divisionsPage = new WP_Query( array(
                    'numberposts'   => 1,
                    'post_type'     => 'page',
                    'meta_key'      => 'divisions-page',
                    'meta_value'    => 'master'
                ) );
?>
                <li class="js-division c-divisions--list-item <?php if ( $total == 0 ) { echo 'is-divisions--list-item-active'; } ?>" >
<?php
                if ( $divisionsPage->have_posts() ) :
                    while( $divisionsPage->have_posts() ) :
                        $divisionsPage->the_post();
?>
                            <a href="<?php the_permalink(); ?>">Visi</a>
<?php
                    endwhile;
                else:
?>
                    Visi
<?php
                endif;
?>
               </li>
<?php
                wp_reset_query();

            endif;

            while ( $divisions->fetch() ) :
                $slug = $divisions->display( 'city.slug' );

                if ( !in_array($slug, $cities) && $divisions->display( 'name' ) ) :
                    $page = $divisions->field( 'page-id' );
?>
                         <li class="js-division c-divisions--list-item <?php if ( $pageID == $page['ID'] ) { echo 'is-divisions--list-item-active js-active-region'; } ?>" data-id="<?php echo $slug; ?>">
<?php
                            if  ( !empty( $page ) ):
?>
                                <a href="<?php echo esc_url( get_permalink( $page['ID'] ) ); ?>"><?php echo $divisions->display( 'city' ); ?></a>
<?
                            else:
?>
                                <?php echo $divisions->display( 'city' ); ?>
<?
                            endif;
?>

                        </li>
<?

                    array_push($cities, $slug);
                endif;
            endwhile;
?>
        </ul>
        <div id="js-divisions-map" data-lang="<?php echo pll_current_language(); ?>" class="" style="border: 1px solid #666; min-height: 450px;"></div>


<?php
    echo do_shortcode('[biuro-contacts--employees lang="' . pll_current_language() . '"]');
?>

        <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBQjPQnLGLeICbpTTu8kLjVRrLUYYCTS2M" async defer></script>
<?php
    endif;

?>

<?php get_footer();
