<?php
/**
 * Template for displaying search form in Biuro
 *
 * @package WordPress
 * @subpackage Biuro
 * @since 1.0
 * @version 1.0
 */

    global $query_string;
?>

<?php /*
<form class="c-search" action="<?php echo $searchPageURL; ?>" method="get">
*/ ?>

<form id="search" class="c-search" action="<?php echo home_url(); ?>" method="get">


<?php
    if ( is_front_page() ):
        while ( have_posts() ) :

            the_post();
            the_content();

        endwhile;
    endif;

    if ( is_search() ):
        wp_parse_str( $query_string, $searchQuery );
    endif;

?>


<?php

    $cities = get_terms( array(
        'taxonomy' => 'city',
        'orderby' => 'count',
        'order' => 'DESC'
    ));

    $res = array();

    if ( ! empty( $cities ) && ! is_wp_error( $cities ) ):
        foreach ( $cities as $city ):
            $name = $city->name;
            $termID = $city->term_id;

            $where = 'valid.meta_value > "' . date('Y-m-d', strtotime('-1 days')) . '" AND city.term_id = ' . $termID;

            $params = array(
                'where' => $where,
                'limit'   => -1
            );

            $jobsIn = pods( 'job', $params );

            if ( 0 < $jobsIn->total() ):
                $order = intval(get_term_meta( $termID, 'order', true));

                array_push($res, array(
                    'name' => $name,
                    'order' => $order,
                    'total' => $jobsIn->total()
                ));

            endif;
        endforeach;

        usort($res, function($a, $b) {
            $o = $b['order'] - $a['order'];
            if ($o):
                return $o;
            endif;
            $t = $b['total'] - $a['total'];
            if ($t):
                return $t;
            endif;

            return $a['name'] > $b['name'];
        });
?>
        <datalist id="search-cities">
<?php
            foreach ( $res as $r ):
?>
                <option value="<?php echo $r['name']; ?>"><?php echo $r['name']; ?> (<?php echo $r['total']; ?>)</option>
<?php
            endforeach;
         endif;
?>
        </datalist>
        <input list="search-cities" id="search-city" name="city"  value="<?php echo ($searchQuery) ? $searchQuery['city'] : ''; ?>" placeholder="Vietovė" />

<?php
            $options = array();

            $types = get_terms( array(
                'taxonomy' => 'type',
                'orderby' => 'count',
                'order' => 'DESC'
            ));

            if ( ! empty( $types ) && ! is_wp_error( $types ) ):
                foreach ( $types as $type ):

                    $name = $type->name;
                    $termID = $type->term_id;

                    $where = 'valid.meta_value > "' . date('Y-m-d', strtotime('-1 days')) . '" AND type.term_id = ' . $termID;

                    $params = array(
                        'where' => $where,
                        'limit'   => -1
                    );

                    $jobsIn = pods( 'job', $params );

                    if ( 0 < $jobsIn->total() ):
                        array_push( $options , array( 'name' => $name, 'total' => $jobsIn->total() ) );
                    endif;
                endforeach;
            endif;

            $fields = get_terms( array(
                'taxonomy' => 'field',
                'orderby' => 'count',
                'order' => 'DESC'
            ));

            if ( ! empty( $fields ) && ! is_wp_error( $fields ) ):
                foreach ( $fields as $field ):

                    $name = $field->name;
                    $termID = $field->term_id;

                    $where = 'valid.meta_value > "' . date('Y-m-d', strtotime('-1 days')) . '" AND field.term_id = ' . $termID;

                    $params = array(
                        'where' => $where,
                        'limit'   => -1
                    );

                    $jobsIn = pods( 'job', $params );

                    if ( 0 < $jobsIn->total() ):
                        array_push( $options , array( 'name' => $name, 'total' => $jobsIn->total() ) );
                    endif;
                endforeach;
            endif;

            usort($options, function($a, $b) {
                $t = $b['total'] - $a['total'];
                if ($t):
                    return $t;
                endif;

                return $a['name'] > $b['name'];
            });
?>
        <datalist id="search-queries">
<?php
            foreach ( $options as $option ):
?>
                <option value="<?php echo $option['name']; ?>"><?php echo $option['name']; ?> (<?php echo $option['total']; ?>)</option>
<?php
            endforeach;
?>
    </datalist>
    <input list="search-queries" id="search-query" name="s" value="<?php echo ($searchQuery) ? $searchQuery['s'] : ''; ?>" placeholder="Raktažodis" />

    <input type="submit" value="Ieškoti" class="filter-button" />
</form>
