<?php
function getSiteTree($taxonomy, $collapsed)
{
    $terms = get_terms( array(
        'taxonomy' => $taxonomy,
        'hide_empty' => false,
    ));

    $classCSS = 'c-jobs-section--content';

    if ($collapsed):
        $classCSS .= ' c-jobs-section--content-collapsed';
    endif;

    if ( !empty( $terms ) && ! is_wp_error( $terms ) ):
        echo '<div class="' . $classCSS . '">';
        echo '<ul  class="c-jobs-section--list">';

        $res = array();

        foreach ( $terms as $term ):
            $termID = $term->term_id;

            $where = 'valid.meta_value > "' . date('Y-m-d', strtotime('-1 days')) . '" AND ' . $taxonomy . '.term_id = ' . $termID;

            $params = array(
                'where' => $where,
                'limit'   => -1
            );

            $jobsIn = pods( 'job', $params );

            if ( 0 < $jobsIn->total() ):
                $page = get_term_meta( $termID, 'page-id', true);
                $order = intval(get_term_meta( $termID, 'order', true));

                if ( $page && $page['post_status'] === 'publish') :

                    array_push($res, array(
                        'name' => $page['post_title'],
                        'href' => get_page_link( $page['ID'] ),
                        'order' => $order,
                        'total' => $jobsIn->total()
                    ));

                endif;
            endif;
        endforeach;

        usort($res, function($a, $b) {
            $o = $b['order'] - $a['order'];
            if ($o):
                return $o;
            endif;
            $t = $b['total'] - $a['total'];
            if ($t):
                return $t;
            endif;

            return $a['name'] > $b['name'];
        });

        foreach ( $res as $r ):
?>
                    <li class="c-jobs-section--item"><a href="<?php echo $r['href']; ?>" title="<?php echo $r['name']; ?>" class="c-jobs-section--anchor"><?php echo $r['name'] . ' (' . $r['total'] . ')'; ?></a></li>
<?php
        endforeach;

        echo '</ul>';

        echo '</div>';

        if ($collapsed):
            echo '<a href="#" class="js-expand-jobs-section c-jobs-section--expand">' . __('More ...', 'biuro') . ' </a>';
        endif;

     endif;
}
?>

<div class="c-jobs-section">
    <h3 class="c-jobs-section--heading"><?php _e('City', 'biuro'); ?></h3>
<?php
    getSiteTree( 'city', true );
?>
</div>

<div class="c-jobs-section">
    <h3 class="c-jobs-section--heading"><?php _e('Job area', 'biuro'); ?></h3>
<?php
    getSiteTree( 'field', true );
?>
</div>

<div class="c-jobs-section">
    <h3 class="c-jobs-section--heading"><?php _e('Job type', 'biuro'); ?></h3>
<?php
    getSiteTree( 'type', false );
?>
</div>
